<template>
  <header>
    <nav>
      <ul class="nav-list">
        <li class="nav-item">
          <nuxt-link to="/">Home</nuxt-link>
        </li>
        <li class="nav-item">
          <nuxt-link to="/users">Users</nuxt-link>
        </li>
        <li class="nav-item">
          <nuxt-link to="/posts">Blog</nuxt-link>
        </li>
      </ul>
    </nav>
  </header>
</template>
<style>
header {
  margin: 10px;
  border-bottom: 2px solid black;
}
nav {
  background-color: #ddd;
  width: 100%;
  height: 40px;
}
.nav-list {
  list-style: none;
  display: flex;
  justify-content: space-around;
  font-size: 2rem;
}
.nav-item a {
  text-decoration: none;
}
.nav-item a:hover,
.nav-item:active {
  color: black;
  cursor: pointer;
}
</style>
